Bug 183597 - [patch] lang/python27 (and others): fix plist on 11.0-CURRENT
Summary: [patch] lang/python27 (and others): fix plist on 11.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-02 18:10 UTC by Alberto Villa
Modified: 2013-11-11 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.45 KB, patch)
2013-11-02 18:10 UTC, Alberto Villa
no flags Details | Diff
python.txt (3.11 KB, text/plain; charset=US-ASCII)
2013-11-04 01:42 UTC, Alberto Villa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Villa freebsd_committer 2013-11-02 18:10:02 UTC
Python ports don't support FreeBSD 11 in setup.py yet.

Fix: The attached patch probably must be replicated for the other Python ports.

Patch attached with submission follows:
How-To-Repeat: Test port with poudriere in an 11 jail.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-02 18:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alberto Villa freebsd_committer 2013-11-04 01:42:51 UTC
My previous patch was incomplete, please see the attached one.
Comment 3 William Grzybowski freebsd_committer 2013-11-11 11:55:03 UTC
Responsible Changed
From-To: freebsd-python->wg

I'll take it.
Comment 4 William Grzybowski freebsd_committer 2013-11-11 12:01:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-11-11 12:01:30 UTC
Author: wg
Date: Mon Nov 11 12:01:22 2013
New Revision: 333487
URL: http://svnweb.freebsd.org/changeset/ports/333487

Log:
  lang/python27: add support for freebsd11
  
  PR:		ports/183597
  Submitted by:	avilla

Modified:
  head/lang/python27/Makefile
  head/lang/python27/files/patch-setup.py
  head/lang/python27/pkg-plist

Modified: head/lang/python27/Makefile
==============================================================================
--- head/lang/python27/Makefile	Mon Nov 11 11:21:37 2013	(r333486)
+++ head/lang/python27/Makefile	Mon Nov 11 12:01:22 2013	(r333487)
@@ -3,7 +3,7 @@
 
 PORTNAME=	python27
 PORTVERSION=	2.7.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	lang python ipv6
 MASTER_SITES=	PYTHON
 MASTER_SITE_SUBDIR=	${PYTHON_MASTER_SITE_SUBDIR}
@@ -39,7 +39,7 @@ EXAMPLESDIR=	${PREFIX}/share/examples/${
 DATADIR=	${PREFIX}/share/${PYTHON_VERSION}
 
 PLATFORMS=	plat-freebsd6 plat-freebsd7 plat-freebsd8 plat-freebsd9 \
-		plat-freebsd10
+		plat-freebsd10 plat-freebsd11
 
 BIN_SCRIPTS=	2to3 idle pydoc smtpd.py
 BIN_FILES=	python python-shared python-config python-shared-config \
@@ -164,6 +164,8 @@ pre-patch:
 		${PATCH_WRKSRC}/Lib/plat-freebsd9
 	${CP} -r ${PATCH_WRKSRC}/Lib/plat-freebsd8 \
 		${PATCH_WRKSRC}/Lib/plat-freebsd10
+	${CP} -r ${PATCH_WRKSRC}/Lib/plat-freebsd8 \
+		${PATCH_WRKSRC}/Lib/plat-freebsd11
 	${MKDIR} ${WRKSRC} ${SHARED_WRKSRC}/Modules
 	${LN} ${PATCH_WRKSRC}/Lib/smtpd.py ${PATCH_WRKSRC}/Tools/scripts/
 .for script in ${BIN_SCRIPTS}

Modified: head/lang/python27/files/patch-setup.py
==============================================================================
--- head/lang/python27/files/patch-setup.py	Mon Nov 11 11:21:37 2013	(r333486)
+++ head/lang/python27/files/patch-setup.py	Mon Nov 11 12:01:22 2013	(r333487)
@@ -73,7 +73,7 @@
              libraries = []
  
 -        elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8'):
-+        elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8', 'freebsd9', 'freebsd10'):
++        elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8', 'freebsd9', 'freebsd10', 'freebsd11'):
              # FreeBSD's P1003.1b semaphore support is very experimental
              # and has many known problems. (as of June 2008)
              macros = dict()
@@ -82,7 +82,7 @@
  
          if (host_platform in ('linux2', 'freebsd4', 'freebsd5', 'freebsd6',
 -                        'freebsd7', 'freebsd8')
-+                        'freebsd7', 'freebsd8', 'freebsd9', 'freebsd10')
++                        'freebsd7', 'freebsd8', 'freebsd9', 'freebsd10', 'freebsd11')
              or host_platform.startswith("gnukfreebsd")):
              exts.append( Extension('ossaudiodev', ['ossaudiodev.c']) )
          else:

Modified: head/lang/python27/pkg-plist
==============================================================================
--- head/lang/python27/pkg-plist	Mon Nov 11 11:21:37 2013	(r333486)
+++ head/lang/python27/pkg-plist	Mon Nov 11 12:01:22 2013	(r333487)
@@ -985,6 +985,8 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/plat-freebsd9/regen
 %%PYTHON_LIBDIR%%/plat-freebsd10/IN.py
 %%PYTHON_LIBDIR%%/plat-freebsd10/regen
+%%PYTHON_LIBDIR%%/plat-freebsd11/IN.py
+%%PYTHON_LIBDIR%%/plat-freebsd11/regen
 %%PYTHON_LIBDIR%%/platform.py
 %%PYTHON_LIBDIR%%/plistlib.py
 %%PYTHON_LIBDIR%%/popen2.py
@@ -2376,6 +2378,7 @@ lib/libpython2.7.a
 @dirrm %%PYTHON_LIBDIR%%/sqlite3
 @dirrm %%PYTHON_LIBDIR%%/site-packages
 @dirrm %%PYTHON_LIBDIR%%/pydoc_data
+@dirrm %%PYTHON_LIBDIR%%/plat-freebsd11
 @dirrm %%PYTHON_LIBDIR%%/plat-freebsd10
 @dirrm %%PYTHON_LIBDIR%%/plat-freebsd9
 @dirrm %%PYTHON_LIBDIR%%/plat-freebsd8
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2013-11-11 13:00:14 UTC
Author: wg
Date: Mon Nov 11 13:00:06 2013
New Revision: 333492
URL: http://svnweb.freebsd.org/changeset/ports/333492

Log:
  lang/python33: add support for freebsd11
  
  PR:		ports/183597

Modified:
  head/lang/python33/Makefile
  head/lang/python33/files/patch-setup.py
  head/lang/python33/pkg-plist

Modified: head/lang/python33/Makefile
==============================================================================
--- head/lang/python33/Makefile	Mon Nov 11 12:55:23 2013	(r333491)
+++ head/lang/python33/Makefile	Mon Nov 11 13:00:06 2013	(r333492)
@@ -2,7 +2,7 @@
 
 PORTNAME=	python33
 PORTVERSION=	3.3.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	lang python ipv6
 MASTER_SITES=	PYTHON
 MASTER_SITE_SUBDIR=	${PYTHON_MASTER_SITE_SUBDIR}
@@ -40,7 +40,7 @@ DATADIR=	${PREFIX}/share/${PYTHON_VERSIO
 
 PLATFORMS=	plat-freebsd4 plat-freebsd5 plat-freebsd6 \
 		plat-freebsd7 plat-freebsd8 plat-freebsd9 \
-		plat-freebsd10
+		plat-freebsd10 plat-freebsd11
 
 BIN_SCRIPTS=	2to3 idle3 pydoc3
 BIN_FILES=	python python-shared python-config python-shared-config \
@@ -112,6 +112,8 @@ pre-patch:
 		${PATCH_WRKSRC}/Lib/plat-freebsd9
 	${CP} -r ${PATCH_WRKSRC}/Lib/plat-freebsd8 \
 		${PATCH_WRKSRC}/Lib/plat-freebsd10
+	${CP} -r ${PATCH_WRKSRC}/Lib/plat-freebsd8 \
+		${PATCH_WRKSRC}/Lib/plat-freebsd11
 	${MKDIR} ${WRKSRC} ${SHARED_WRKSRC}/Modules
 .for script in ${BIN_SCRIPTS}
 	${SED} -e '1s,^.*$$,#!${PREFIX}/bin/${PYTHON_VERSION},' \

Modified: head/lang/python33/files/patch-setup.py
==============================================================================
--- head/lang/python33/files/patch-setup.py	Mon Nov 11 12:55:23 2013	(r333491)
+++ head/lang/python33/files/patch-setup.py	Mon Nov 11 13:00:06 2013	(r333492)
@@ -57,7 +57,7 @@
              libraries = []
  
 -        elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8'):
-+        elif host_platform in ('freebsd7', 'freebsd8', 'freebsd9', 'freebsd10'):
++        elif host_platform in ('freebsd7', 'freebsd8', 'freebsd9', 'freebsd10', 'freebsd11'):
              # FreeBSD's P1003.1b semaphore support is very experimental
              # and has many known problems. (as of June 2008)
              macros = dict()

Modified: head/lang/python33/pkg-plist
==============================================================================
--- head/lang/python33/pkg-plist	Mon Nov 11 12:55:23 2013	(r333491)
+++ head/lang/python33/pkg-plist	Mon Nov 11 13:00:06 2013	(r333492)
@@ -2160,6 +2160,10 @@ libdata/pkgconfig/python-%%PYVER%%.pc
 %%PYTHON_LIBDIR%%/plat-freebsd10/__pycache__/IN.cpython-33.pyc
 %%PYTHON_LIBDIR%%/plat-freebsd10/__pycache__/IN.cpython-33.pyo
 %%PYTHON_LIBDIR%%/plat-freebsd10/regen
+%%PYTHON_LIBDIR%%/plat-freebsd11/IN.py
+%%PYTHON_LIBDIR%%/plat-freebsd11/__pycache__/IN.cpython-33.pyc
+%%PYTHON_LIBDIR%%/plat-freebsd11/__pycache__/IN.cpython-33.pyo
+%%PYTHON_LIBDIR%%/plat-freebsd11/regen
 %%PYTHON_LIBDIR%%/platform.py
 %%PYTHON_LIBDIR%%/plistlib.py
 %%PYTHON_LIBDIR%%/poplib.py
@@ -4561,6 +4565,8 @@ libdata/pkgconfig/python-%%PYVER%%.pc
 @dirrm %%PYTHON_LIBDIR%%/plat-freebsd9
 @dirrm %%PYTHON_LIBDIR%%/plat-freebsd10/__pycache__
 @dirrm %%PYTHON_LIBDIR%%/plat-freebsd10
+@dirrm %%PYTHON_LIBDIR%%/plat-freebsd11/__pycache__
+@dirrm %%PYTHON_LIBDIR%%/plat-freebsd11
 @dirrm %%PYTHON_LIBDIR%%/pydoc_data/__pycache__
 @dirrm %%PYTHON_LIBDIR%%/pydoc_data
 @dirrm %%PYTHON_LIBDIR%%/site-packages
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"